import argparse


def opts():
    parser = argparse.ArgumentParser(description='Train clip_symnet on the 11 dataset',
                                     formatter_class=argparse.ArgumentDefaultsHelpFormatter)

    parser.add_argument('--name', type=str, default='',
                        help='backbone')
    parser.add_argument('--dataset_name', type=str, default='',
                        help='dataset_name')
    parser.add_argument('--dataset_dir', type=str, default='',
                        help='dataset_dir')
    parser.add_argument('--shot', type=int, default='',
                        help='numbers of shots')
    parser.add_argument('--savedir', type=str, default='',
                        help='number of classes of data ')
    parser.add_argument('--filename_dir', type=str, default='',
                        help='number of classes of data ')

    parser.add_argument('--valacc', type=int, default='30',
                        help='number of classes of data ')
    parser.add_argument('--valepoch', type=int, default='70',
                        help='number of classes of data ')

    # Optimization options
    parser.add_argument('--epochs', '-e', type=int, default=200, help='Number of epochs to train')
    # i/o
    parser.add_argument('--log', type=str, default='./checkpoints', help='Log folder')
    parser.add_argument('--test_freq', default=1, type=int,
                        help='test frequency (default: 1)')
    parser.add_argument('--print_freq', '-p', default=1, type=int,
                        metavar='N', help='print frequency (default: 10)')
    args = parser.parse_args()

    return args
